const express = require('express');
const app = express();
const http = require('http');
const server = http.createServer(app);
const Server = require("socket.io");

const PORT = 5000

const io = Server(server, {
  serveClient: false,
  allowEIO3  : true,
  cors       : {
    origin: "*",
  }
});

io.on('connection', (socket) => {
  console.log('a user connected');
  socket.on('disconnect', () => {
    console.log('user disconnected');
  });
});


server.listen(PORT, () => {
  console.log(`listening on *:${PORT}`);
});

